import { 
  API_BASE_URL,
  API_URL_KEY,
} from './../constants/url';

/* Settlement Management = 정산 API */
export const API_URL_SETTLEMENT = {
  settlementsTransactionSummary: () => {
     // POST: 정산내역 거래건별 요약 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/settlements/transaction/summary`;
  },
  settlementsTransactionList: () => {
    // POST: 정산내역 거래건별 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/settlements/transaction/list`;
  },
  settlementsTransactionDetail: () => {
    // POST: 정산내역 거래건별 상세 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/settlements/transaction/detail`;
  },
  settlementsHistory: () => {
    // POST: 정산내역 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/settlements/history`;
  },
  settlementsHistorySummary: () => {
    // POST: 정산내역 요약 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/settlements/history/summary`;
  },
  settlementsHistoryDetail: () => {
    // POST: 정산내역 거래건별 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/settlements/history/detail`;
  },
  settlementsCalendar: () => {
    // POST: 정산내역 거래건별 조회
    return `${API_BASE_URL}/api/v1/${API_URL_KEY}/settlements/calendar`;
  },

};